summaryrefslogtreecommitdiffstats
path: root/gettext-tools
diff options
context:
space:
mode:
authorDaiki Ueno <ueno@gnu.org>2015-06-24 10:35:25 +0900
committerDaiki Ueno <ueno@gnu.org>2015-06-24 10:35:48 +0900
commit945abda2f0fe59bf8ad1871f4d82b69479c75515 (patch)
tree68e8bc5d8cbb68e4a2b115fb516d1cb7f28c93f6 /gettext-tools
parent3dfb94a2b8105c766cb58a340a62928bd0877808 (diff)
downloadexternal_gettext-945abda2f0fe59bf8ad1871f4d82b69479c75515.zip
external_gettext-945abda2f0fe59bf8ad1871f4d82b69479c75515.tar.gz
external_gettext-945abda2f0fe59bf8ad1871f4d82b69479c75515.tar.bz2
tests: Skip KUIT tests when libexpat is missing
* format-kde-kuit-1: Skip if KDE KUIT format is not supported. * format-kde-kuit-2: Likewise. Suggested by Chusslove Illich.
Diffstat (limited to 'gettext-tools')
-rw-r--r--gettext-tools/tests/ChangeLog6
-rwxr-xr-xgettext-tools/tests/format-kde-kuit-113
-rwxr-xr-xgettext-tools/tests/format-kde-kuit-215
3 files changed, 32 insertions, 2 deletions
diff --git a/gettext-tools/tests/ChangeLog b/gettext-tools/tests/ChangeLog
index 632568e..dc7aa3e 100644
--- a/gettext-tools/tests/ChangeLog
+++ b/gettext-tools/tests/ChangeLog
@@ -1,3 +1,9 @@
+2015-06-24 Daiki Ueno <ueno@gnu.org>
+
+ * format-kde-kuit-1: Skip if KDE KUIT format is not supported.
+ * format-kde-kuit-2: Likewise.
+ Suggested by Chusslove Illich.
+
2015-06-23 Daiki Ueno <ueno@gnu.org>
* msginit-4: Don't check the Project-Id-Version: field, which
diff --git a/gettext-tools/tests/format-kde-kuit-1 b/gettext-tools/tests/format-kde-kuit-1
index a63ff3d..aeaa743 100755
--- a/gettext-tools/tests/format-kde-kuit-1
+++ b/gettext-tools/tests/format-kde-kuit-1
@@ -3,6 +3,18 @@
# Test recognition of KUIT format strings.
+: ${XGETTEXT=xgettext}
+
+cat <<\EOF > f-kd-invalid.cpp
+xi18n("<invalid>");
+EOF
+
+LC_ALL=C ${XGETTEXT} -L C++ --kde --flag=xi18n:1:kde-kuit-format -o - f-kd-invalid.cpp 2>&1 | grep 'not a valid KDE KUIT format' > /dev/null 2>&1
+test $? = 0 || {
+ echo "Skipping test: xgettext was built without KDE KUIT format support"
+ exit 77
+}
+
cat <<\EOF > f-kd-1.data
# Unrecognized: unbalanced filename tag
"<filename>a"
@@ -24,7 +36,6 @@ cat <<\EOF > f-kd-1.data
"<command>&#x2A;&#x2a;&#x61;&#141;</command>"
EOF
-: ${XGETTEXT=xgettext}
n=0
while read comment; do
read string
diff --git a/gettext-tools/tests/format-kde-kuit-2 b/gettext-tools/tests/format-kde-kuit-2
index b2653d1..0634b62 100755
--- a/gettext-tools/tests/format-kde-kuit-2
+++ b/gettext-tools/tests/format-kde-kuit-2
@@ -3,6 +3,20 @@
# Test checking of KDE KUIT format strings.
+cat <<\EOF > f-kd-invalid.po
+#, kde-kuit-format
+msgid "foo"
+msgstr "<"
+EOF
+
+: ${MSGFMT=msgfmt}
+
+LC_ALL=C ${MSGFMT} --check-format -o /dev/null f-kd-invalid.po 2>&1 | grep 'not a valid KDE KUIT format' > /dev/null 2>&1
+test $? = 0 || {
+ echo "Skipping test: msgfmt was built without KDE KUIT format support"
+ exit 77
+}
+
cat <<\EOF > f-kd-2.data
# Valid: one argument
msgid "<filename>%1</filename>"
@@ -30,7 +44,6 @@ msgid "<filename>foo</filename>"
msgstr "<foo>&amp;</foo>"
EOF
-: ${MSGFMT=msgfmt}
n=0
while read comment; do
read msgid_line